org.apache.hadoop.hdfs.server.namenode.top.window

## Class RollingWindowManager.Op

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.top.window.RollingWindowManager.Op

- All Implemented Interfaces:
    Comparable<RollingWindowManager.Op>
  Enclosing class:
    org.apache.hadoop.hdfs.server.namenode.top.window.RollingWindowManager

      public static class RollingWindowManager.Op
      extends Object
      implements Comparable<RollingWindowManager.Op>

  Represents an operation within a TopWindow. It contains a ranked set of the top users for the operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Op(String opType, org.apache.hadoop.hdfs.server.namenode.top.window.RollingWindowManager.UserCounts users, int limit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RollingWindowManager.Op other)`
    `boolean` | `equals(Object o)`
    `List<RollingWindowManager.User>` | `getAllUsers()`
    `String` | `getOpType()`
    `List<RollingWindowManager.User>` | `getTopUsers()`
    `long` | `getTotalCount()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Op

          public Op(String opType,
                    org.apache.hadoop.hdfs.server.namenode.top.window.RollingWindowManager.UserCounts users,
                    int limit)

  - ### Method Detail

    - #### getOpType

          public String getOpType()

    - #### getAllUsers

          public List<RollingWindowManager.User> getAllUsers()

    - #### getTopUsers

          public List<RollingWindowManager.User> getTopUsers()

    - #### getTotalCount

          public long getTotalCount()

    - #### compareTo

          public int compareTo(RollingWindowManager.Op other)

      Specified by:
        `compareTo` in interface `Comparable<RollingWindowManager.Op>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.